Subject: bug#58193: 29.0.50; Screen flickers on with-locale-environment

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 03 Oct 2022 11:03:32 +0200

Pedro Andres Aranda Gutierrez <[email-masked]> writes:

> I have been working all day yesterday using my functions using
> 'with-locale-environment' and I didn't experience any flicker. 

OK; closing this bug report.

> On that side good. On the other hand, I still think that a macro only controlling the
> system-locale for the time functions may be useful despite, I admit, being somehow
> redundant. My feeling is that many of the settings changed in
> with-locale-environment don't need to be changed for format-time-string. 

I don't think there's much need for finer granularity here.

> Digression: What about adding a third (optional) parameter to
> format-time-string to set the locale for a specific call? This could
> be an alternative which might be more-lightweight than
> with-locale-environment, wouldn't it?

It would still have to change the locale, so it wouldn't be more
lightweight.